<?php
	$P_C="Ban";
	//
	$LIMPIAR=0;	
	//+++++++++++
	$Fec=V($_POST['Fec']);
	$Ban=V($_POST['Ban']);
	$Tip=V($_POST['Tip']);
	$Mnd=V($_POST['Mnd']);
	$Nro=V($_POST['Nro']);
	$Cci=V($_POST['Cci']);
	$Hab=V($_POST['Hab']);
	$Tit=V($_POST['Tit']);
	$Obs=V($_POST['Obs']);
	//
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){$StrId="";
		}else{
			$StrCmd="AR";$LStrPag=V($_GET['Pag']);if(!is_numeric($LStrPag)){$LStrPag="";
		}}}
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrCmd)==0){
		$StrFec=date("d-m-y");
	}
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$r=gr("vis_cuentas","ID=".$Id);
		$Fec=$r['SYS_FEC_'];
		$Ban=$r['BAN'];
		$Tip=$r['TIP'];
		$Mnd=$r['MND'];
		$Nro=$r['NRO'];
		$Cci=$r['CCI'];
		$Hab=$r['HAB'];
		$Tit=$r['TIT'];
		$Obs=$r['OBS'];
		//		
		$LStrFoc="jF('$P_C');";		
		$StrGT="S";
	}
	//	
	if($StrCmd=="G" || $StrCmd=="M"){		
		$Ban_=gn("id_banco","bancos","ban_nombre='$Ban'");
	}
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="G"){
		if(gn("count(*)","cuentas","cta_id_ban=$Ban_ AND cta_nro='$Nro'")>0){
			$LStrMsg="Banco y numero de cuenta ya registrada";
			$LStrFoc="jF('Nro');";		
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
			$SYS_FEC=date("Y-m-d");
			$SYS_TIM=time();
			$Id=GenId("id_cta","cuentas");		
			$s="INSERT INTO cuentas 
				VALUES ($Id,'$SYS_FEC',$SYS_TIM,$Ban_,
				'$Tip','$Nro','$Mnd','$Cci','$Tit','$Hab','$Obs',$USU_KOD)";
			ejt($s);
			//BIT
			$_BIT_MOD_ID=$Id;
			$_BIT_SQL_CAB=$s;
			$_BIT_SQL_DET="";
			$_BIT_PHP="cuentas.php";
			$_BIT_ID=BIT_ADD("MANTENIMIENTO","CUENTAS","GUARDAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
			BIT_DET_ADD($_BIT_ID,$s);
			//BIT			
			$qqq=ejt("DELETE FROM cuentas_emp WHERE id_cta=$Id");
			BIT_DET_ADD($_BIT_ID,$qqq);
			//			
			$s="SELECT id_emp FROM empresas ";
			$rs=grs($s);
			while($r=$rs->fetch_assoc()){
				$CHS="ch_".$r['id_emp'];
				if(vbval($_POST[$CHS])==1){
					$s="INSERT INTO cuentas_emp VALUES ($Id,".$r['id_emp'].")";
					ejt($s);
					BIT_DET_ADD($_BIT_ID,$s);
				}
			}
			//		
			$LStrMsg="Datos registrados";
			$LStrFoc="jF('$P_C');";		
			$StrGT="S";
			$LIMPIAR=1;
		}
	}
	//++
	if($StrCmd=="M"){
		if(gn("count(*)","cuentas",
			  "cta_id_ban=$Ban_ AND cta_nro='$Nro' AND id_cta<>$StrId")>0){
			$LStrMsg="Banco y numero de cuenta ya registrada";
			$LStrFoc="jF('Nro');";		
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
			$s="UPDATE cuentas 
				SET cta_id_ban=$Ban_,
					cta_tipo='$Tip',
					cta_mnd='$Mnd',
					cta_nro='$Nro',
					cta_cci='$Cci',
					cta_hab='$Hab',
					cta_tit='$Tit',
					cta_obs='$Obs',
					cta_id_usu=$USU_KOD 
					WHERE id_cta=$StrId";
			ejt($s);
			//BIT
			$_BIT_MOD_ID=$StrId;
			$_BIT_SQL_CAB=$s;
			$_BIT_SQL_DET="";
			$_BIT_PHP="cuentas.php";
			$_BIT_ID=BIT_ADD("MANTENIMIENTO","CUENTAS","MODIFICAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
			BIT_DET_ADD($_BIT_ID,$s);
			//BIT			
			$qqq=ejt("DELETE FROM cuentas_emp WHERE id_cta=$StrId");
			BIT_DET_ADD($_BIT_ID,$qqq);
			//			
			$s="SELECT id_emp FROM empresas ";
			$rs=grs($s);
			while($r=$rs->fetch_assoc()){
				$CHS="ch_".$r['id_emp'];
				if(vbval($_POST[$CHS])==1){
					$s="INSERT INTO cuentas_emp VALUES ($StrId,".$r['id_emp'].")";
					ejt($s);
					BIT_DET_ADD($_BIT_ID,$s);
				}
			}
			//		
			$LStrMsg="Datos actualizados";
			$LStrFoc="jF('$P_C');";		
			$StrGT="S";
			$LIMPIAR=1;
		}
	}
	//
	if($StrCmd=="E"){
		if(strlen($StrGT)==0){
			$s="DELETE FROM cuentas_emp WHERE id_cta=$StrId";	
			ejt($s);
			//BIT
			$_BIT_MOD_ID=$StrId;
			$_BIT_SQL_CAB=$s;
			$_BIT_SQL_DET="";
			$_BIT_PHP="cuentas.php";
			$_BIT_ID=BIT_ADD("MANTENIMIENTO","CUENTAS","ELIMINAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
			BIT_DET_ADD($_BIT_ID,$s);
			//BIT		
			$s="DELETE FROM cuentas WHERE id_cta=$StrId";	
			ejt($s);
			BIT_DET_ADD($_BIT_ID,$s);
			//
			$LStrMsg="Registro Eliminado";
			$LStrFoc="jF('$P_C');";	
			$StrGT="S";
			$LIMPIAR=1;
		}		
	}
	//
	if($StrCmd=="L"){
		$LIMPIAR=1;
	}
	//
	if($LIMPIAR==1){
		$StrId="";		
		$Fec=date("d-m-y");
		$Ban="";
		$Tip="";
		$Mnd="";
		$Nro="";
		$Cci="";
		$Hab="";
		$Tit="";
		$Obs="";
	}
	//
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('$P_C').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}

?>